[tetgen] 04/05: Add autopkgtest.
Anton Gladky
gladk at moszumanska.debian.org
Sun Sep 4 16:41:24 UTC 2016
This is an automated email from the git hooks/post-receive script.
gladk pushed a commit to branch master
in repository tetgen.
commit 25e5440f7624a42e12064148b052d7a748433861
Author: Anton Gladky <gladk at debian.org>
Date: Sun Sep 4 18:38:06 2016 +0200
Add autopkgtest.
---
debian/control | 1 +
debian/tests/check1 | 102 +++++++++++++++++++++++++++++++++++++++++++++++++++
debian/tests/control | 2 +
3 files changed, 105 insertions(+)
diff --git a/debian/control b/debian/control
index 04167ea..6725174 100644
--- a/debian/control
+++ b/debian/control
@@ -2,6 +2,7 @@ Source: tetgen
Maintainer: Debian Science Team <debian-science-maintainers at lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk at debian.org>
Section: math
+Testsuite: autopkgtest
Priority: extra
Build-Depends: cmake,
debhelper (>= 9),
diff --git a/debian/tests/check1 b/debian/tests/check1
new file mode 100755
index 0000000..9c53c94
--- /dev/null
+++ b/debian/tests/check1
@@ -0,0 +1,102 @@
+#!/bin/sh
+# autopkgtest check for tetgen
+# (C) 2016 Anton Gladky <gladk at debian.org>
+
+set -e
+
+WORKDIR=$(mktemp -d)
+trap "rm -rf $WORKDIR" 0 INT QUIT ABRT PIPE TERM
+cd $WORKDIR
+
+cat <<EOF > example.poly
+28 3 0 1
+1 0 0 0 1
+2 2 0 0 1
+3 2 2 0 1
+4 0 2 0 1
+5 0 0 4 9
+6 2 0 4 9
+7 2 2 3 9
+8 0 2 3 9
+9 0 0 5 2
+10 2 0 5 2
+11 2 2 5 2
+12 0 2 5 2
+13 0.25 0.25 0.5 4
+14 1.75 0.25 0.5 4
+15 1.75 1.5 0.5 4
+16 0.25 1.5 0.5 4
+17 0.25 0.25 1 4
+18 1.75 0.25 1 4
+19 1.75 1.5 1 4
+20 0.25 1.5 1 4
+21 0.25 0 2 4
+22 1.75 0 2 4
+23 1.75 1.5 2 4
+24 0.25 1.5 2 4
+25 0.25 0 2.5 4
+26 1.75 0 2.5 4
+27 1.75 1.5 2.5 4
+28 0.25 1.5 2.5 4
+23 1
+1 0 1 # 1
+4 1 2 3 4
+1 0 9 # 2
+4 5 6 7 8
+2 1 3 # 3
+4 1 2 6 5
+4 21 22 26 25
+1 1 0 2.25
+1 0 3 # 4
+4 2 3 7 6
+1 0 3 # 5
+4 3 4 8 7
+1 0 3 # 6
+4 4 1 5 8
+1 0 2 # 7
+4 9 10 11 12
+1 0 3 # 8
+4 9 10 6 5
+1 0 3 # 9
+4 10 11 7 6
+1 0 3 # 10
+4 11 12 8 7
+1 0 3 # 11
+4 12 9 5 8
+1 0 4 # 12
+4 13 14 15 16
+1 0 4 # 13
+4 17 18 19 20
+1 0 4 # 14
+4 13 14 18 17
+1 0 4 # 15
+4 14 15 19 18
+1 0 4 # 16
+4 15 16 20 19
+1 0 4 # 17
+4 16 13 17 20
+1 0 4 # 18
+4 21 22 23 24
+1 0 4 # 19
+4 25 26 27 28
+1 0 4 # 20
+4 21 22 26 25
+1 0 4 # 21
+4 22 23 27 26
+1 0 4 # 22
+4 23 24 28 27
+1 0 4 # 23
+4 24 21 25 28
+2
+1 1 0.4 2.25
+2 1 0.4 0.75
+2
+1 1 0.25 0.1 10 0.001
+2 1 0.5 4 20 0.01
+EOF
+
+tetgen -p example.poly
+tetgen -fe example.1.node
+ls -ln
+
+echo "run: OK"
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..8e8810e
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,2 @@
+Tests: check1
+Depends: tetgen
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/tetgen.git
More information about the debian-science-commits
mailing list